Package twisted :: Package scripts :: Module lore :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| `__init__(self, *args, **kw)`
| `opt_config(self, s)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
Inherited from Options
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['plain', 'p', 'Report filenames without pro...`
`list` | `optParameters` = `[['input', 'i', 'lore'], ['inputext', 'e...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### parseArgs(self, *files)

I am called with any leftover arguments which were not options.

Override me to do something with the remaining arguments on the command line, those which were not flags or options. e.g. interpret them as a list of files to operate on.

Note that if there more arguments on the command line than this method accepts, parseArgs will blow up with a getopt.error. This means if you don't override me, parseArgs will blow up if I am passed any arguments at all!

  Overrides:
    `twisted.python.usage.Options.parseArgs` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['plain', 'p', 'Report filenames without progress bar'],
         ['null', 'n', 'Do not report filenames'],
         ['number', 'N', 'Add chapter/section numbers to section headings']]

### optParameters

  Type:
    `list`
  Value:

        [['input', 'i', 'lore'],
         ['inputext', 'e', '.xhtml', 'The extension that your Lore input files\
         have'],
         ['docsdir', 'd', None],
         ['linkrel', 'l', ''],
         ['output', 'o', 'html'],
         ['index', 'x', None, 'The base filename you want to give your index f\
        ile'],
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:44 2004 | http://epydoc.sf.net